local PveHeroEffectTemplateManager = BaseClass("PveHeroEffectTemplateManager")
local PveHeroEffectTemplate = require("DataCenter.PveHeroEffect.PveHeroEffectTemplate")
local __init = function(self)
  self.templateDict = {}
end
local __delete = function(self)
end
local GetTemplate = function(self, id)
  id = tonumber(id)
  if table.containsKey(self.templateDict, id) then
    return self.templateDict[id]
  end
  local lineData = LocalController:instance():getLine(TableName.LW_Hero_Effect, id)
  if lineData == nil then
    Logger.LogError("PveHeroEffectTemplate GetTemplate lineData is nil id:" .. id)
    return nil
  end
  local template = PveHeroEffectTemplate.New()
  template:InitData(lineData)
  self.templateDict[id] = template
  return template
end
PveHeroEffectTemplateManager.__init = __init
PveHeroEffectTemplateManager.__delete = __delete
PveHeroEffectTemplateManager.GetTemplate = GetTemplate
return PveHeroEffectTemplateManager
